%define momorel 4

Summary:	Ogg Bitstream Library
Name:		libogg
Version:	1.0
Release:	%{momorel}m
Group:		System Environment/Libraries
License:	Modified BSD
URL:		http://www.vorbis.com/
Source0:	http://fatpipe.vorbis.com/files/1.0/unix/libogg-%{version}.tar.gz
NoSource:	0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Libogg is a library for manipulating ogg bitstreams.  It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%package devel
Summary: Ogg Bitstream Library Development
Group: Development/Libraries
Requires: libogg = %{version}

%description devel
The libogg-devel package contains the header files and documentation
needed to develop applications with libogg.

%prep
%setup -q -n %{name}-%{version}

%build
if [ ! -f configure ]; then
  CFLAGS="%{optflags}" ./autogen.sh --prefix=/usr --mandir=%{_mandir} \
  	--infodir=%{_infodir}
else
  CFLAGS="%{optflags}" ./configure --prefix=/usr --mandir=%{_mandir} \
  	--infodir=%{_infodir}
fi
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc AUTHORS
%doc CHANGES
%doc COPYING
%doc README
%{_libdir}/libogg.so.*

%files devel
%defattr(-,root,root)
%doc doc/index.html
%doc doc/framing.html
%doc doc/oggstream.html
%doc doc/white-ogg.png
%doc doc/white-xifish.png
%doc doc/stream.png
%doc doc/ogg/*.html
%doc doc/ogg/style.css
%{_includedir}/ogg
%{_libdir}/libogg.a
%{_libdir}/libogg.la
%{_libdir}/libogg.so
%{_datadir}/aclocal/ogg.m4

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0-4m)
- revised spec for enabling rpm 4.2.

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-3m)
- kill %%define name
- kill %%define version

* Mon Jul 29 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (1.0-2m)
- License: LGPL -> Modified BSD.

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.0-1m)
- update to final 1.0 version

* Tue Mar 19 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-0.0030002k)
  update to 1.0rc3

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.0-0.0005004k)
- nigittenu

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (1.0-0.0005002k)
- rc2.

* Mon Sep 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- Change Group

* Tue Jan 16 2001 Kenichi Matsubara <m@kondara.org>
- (1.0-0.0003005k)
- %defattr(-,root,root)

* Mon Dec 11 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- to NoSource(source from http://www.vorbis.com/download.new.html)
- TAG changed (Copyright -> License)

* Sat Sep 02 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
